%% Síla x posuvu

da1x = data(:,2);
da1y = data(:,3);
da1 = [da1x da1y];

da2x = data(:,5);
da2y = data(:,6);
da2 = [da2x da2y];

da3x = data(:,8);
da3y = data(:,9);
da3 = [da3x da3y];

[B,A] = BUTTER(2,0.08);
gr1 = filter(B,A,da1);
gr2 = filter(B,A,da2);
gr3 = filter(B,A,da3);

plot(gr1(:,2),'r','LineWidth',5)
hold on
plot(gr2(:,2),'b','LineWidth',5)
hold on
plot(gr3(:,2),'g','LineWidth',5)

set(gca,'XTick',[50 100 150 200],'XtickLabel',{'0,02';'0,04';'0,06';'0,08'});
set(0,'defaultfigureposition',[1000 10 1400 2500])
ylabel('Síla v ose x [N]','FontSize',20,'FontWeight','bold')
xlabel('Posuv v ose x [m]','FontSize',20,'FontWeight','bold')
legend('1. Varianta','2. Varianta','3. Varianta')
set(gca,'FontSize',20)
set(0,'DefaultAxesFontName', 'Times New Roman')
grid on

